#ifndef TYPES_H
#define TYPES_H

typedef unsigned char   U8;
typedef signed char     S8;
typedef unsigned short  U16;
typedef signed short    S16;
typedef unsigned int    U32;
typedef signed int      S32;
typedef S32             fixed;

typedef struct colorRGB{
    S32 r;
    S32 g;
    S32 b;
} color_type;

typedef struct input
{
    U8 Left;
    U8 Right;
    U8 Forward;
    U8 Back;
    U8 Exit;
}input_type;

#endif
